/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

$break-point: 16em;

@import "openk.styles";

:host {
  display: block;
  width: 100%;
}

.attachments {
  display: flex;
  flex-direction: row;
  padding: 1em;
}

.attachments--files {
  box-sizing: border-box;
  overflow: auto;
  flex: 1;
}

.attachments--email {
  box-sizing: border-box;
  flex: 1;
  margin-right: 0.5em;
}

.attachments---half-size {
  flex: 1;
}

.attachments--container {
  min-height: 15em;
  flex: 1;
}

.attachments--container--email-text {
  display: flex;
  flex-direction: row;
  align-items: center;
  align-self: flex-start;
  margin-bottom: 0.5em;
  padding: 0 0.2em;

  &:hover {
    background-color: $openk-background-highlight;
  }
}

.attachments--container--email-summary {
  flex: 1;
  margin-left: 0.2em;
  line-height: 1;
}

.attachments--container--email-summary--from {
  margin-left: 0.2em;
  font-style: italic;
  font-size: small;
}

.attachments--email-select {
  font-size: 1em;
  width: 1em;
  height: 1em;
}

.attachments--files---full-display {
  display: flex;
}
